
# `dasher`

This is a tool I made to monitor my own infrastructure. It was fun to build and tailored to my needs. Think twice before using in production.

# Installation

TODO

# Usage

### In Action


##### Client sending data


You can send data to dasher by opening a tcp connection, send the name of the dataset followed by newline
and an entry for newline.
```
nc localhost 58008
test
1
2
3
```

A quick way to do this is piping to netcat (same as above):

```
$ printf "test\n1\n2\n3" | nc localhost 58008
```


##### Client requesting for data:

Data can be requested using an HTTP api (default port 3000).

```
$ curl -s -X GET "localhost:3000/all" -H "Content-Type: application/json" 
-d '{"name":"test"}' | jq
[
  3,
  [
    {
      "value": "3",
      "date": 1709328704
    },
    {
      "value": "1",
      "date": 1709328703
    },
    {
      "value": "2",
      "date": 1709328703
    }
  ]
]
```
The API is documented below.

##### API Documentation

TODO



# Configuration

`dasher showconf` will print the current configuration. 
