use rand::prelude::*;
use serde::Deserialize;

use crate::types::Date;

// TODO: Deserialize date here.
#[derive(Deserialize, Debug)]
pub struct QueryN {
    pub name: String,
    pub n: Option<usize>,
}

#[derive(Deserialize, Debug)]
pub struct QueryAll {
    pub name: String,
    pub from: Option<Date>,
    pub to: Option<Date>,
}
