pub type Date = i64;

pub const DATE_MAX: Date = i64::MAX;
// should be 0?
pub const DATE_MIN: Date = i64::MIN;

use serde::Serialize;
use sqlx::prelude::FromRow;

#[derive(Default, Serialize, Debug, FromRow)]
pub struct Entry {
    pub value: String,
    pub date: i64,
}

#[derive(Default, Serialize, Debug, FromRow)]
pub struct ApiKey {
    pub key_id: i64,
    pub key: String,
    pub comment: String,
}
